Форум программистов, компьютерный форум, киберфорум
C# для начинающих
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.54/13: Рейтинг темы: голосов - 13, средняя оценка - 4.54
0 / 0 / 0
Регистрация: 04.11.2014
Сообщений: 1
1

Solidworks API создание массива элементов, управляемый кривой

04.11.2014, 16:40. Показов 2363. Ответов 1
Метки нет (Все метки)

Доброго времени суток, Уважаемые!

Собственно, сразу к делу. Пишу программу для создания некой детали, в которой присутствует некий массив ребер жесткости, расположенных по кромке эллипса. С SW API я начал знакомится совсем недавно, так что основными источниками кода, который я использую, являются макросы, сгенерированные солидом(C#). Вот только после копирования этого кода в проект и запуск его на выполнение, желаемый массив не строится, хотя ошибок никаких не появляется. Просто открывается окно солида и "ждет".

Сталкивался ли кто-нибудь с такой проблемой и находили ли решение?

Вот код, предлагаемый макросом:
C#
1
2
3
4
5
6
7
 boolstatus = swDoc.Extension.SelectByID2("Эскиз2", "SKETCH", 0, 0, 0, true, 0, null, 0);
            boolstatus = swDoc.Extension.SelectByID2("Ребро1", "BODYFEATURE", 0, 0, 0, true, 0, null, 0);
            swDoc.ActivateSelectedFeature();
            swDoc.ClearSelection2(true);
            boolstatus = swDoc.Extension.SelectByID2("Ребро1", "BODYFEATURE", 0, 0, 0, false, 4, null, 0);
            boolstatus = swDoc.Extension.SelectByID2("Эскиз2", "SKETCH", 0, 0, 0, true, 1, null, 0);
            swDoc.FeatureCurvePattern(8, 0.050000000000000003, 1, 0.050000000000000003, false, false, true, false, true, false, true, false);
0

Помощь в написании контрольных, курсовых и дипломных работ здесь.

Programming
Эксперт
94731 / 64177 / 26122
Регистрация: 12.04.2006
Сообщений: 116,782
04.11.2014, 16:40
Ответы с готовыми решениями:

C# + API SolidWorks
Начинаю работать с API….вопрос в том што когда создаю новий документ детали SwApp.NewPart(); ...

Создание механизма в SolidWorks - SolidWorks
Подскажите пожалуйста, как будет выглядеть механизм преобразующий один вид движения в другой. На...

Перезапуск SolidWorks API
Подскажите пожалуйста как перезапустить полностью SolidWorks? Пишу так, не помогает. Само окно...

Добавление деталей в сборку на C# API SolidWorks
Начал запись макроса, далее создаю сборку и добавляю готовые детали на сборку, все хорошо,...

1
257 / 228 / 56
Регистрация: 03.02.2011
Сообщений: 1,937
Записей в блоге: 1
04.11.2014, 20:58 2
Тут всё неплохо описано.
Create and Access Curve-driven Pattern Feature Example (C#)
0
IT_Exp
Эксперт
87844 / 49110 / 22898
Регистрация: 17.06.2006
Сообщений: 92,604
04.11.2014, 20:58

Создание механизма в SolidWorks
Мне нужно в SolidWorks создать механизм по данным, которые приведены на рис. 1. Хотела сделать...

перевод значений неуправляемого массива в управляемый
Есть 2 массива. одинаковой длины. один неуправляемый двумерный. другой управляемый одномерный. я,...

Член класса управляемый не может относиться к типу класса не управляемый
"член класса управляемый не может относиться к типу класса не управляемый" Не могу понять что...

Настройка движения элементов из разных сборок в SolidWorks
Такая проблема: есть сборка которая состоит из нескольких сборок в которых есть движущиеся...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
2
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2021, vBulletin Solutions, Inc.